.custom-modal-block{

  position: fixed;
  inset: 0;
  z-index: 99;
  background: #232323cc;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  opacity: 1;
  visibility: visible;
	transition: visibility 300ms ease, opacity 300ms ease;

  &.hide-thisx{
    opacity: 0;
    visibility: hidden;
  }

  .group-block-content.custom-modal-block-content{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 50%;
    cursor: pointer;
    z-index: 10;
    background-color: #fff;
    height: fit-content;
    width: 92%;

    @media screen and (min-width: 720px) {
      width: 95%;
    }

    .custom-modal-block-close{
      width: 45px;
      height: 45px;
      position: absolute;
      top: -20px;
      right: -20px;
      z-index: 99;
      background-color: #002d40;
      fill: #fff;
      display: flex;
      justify-content: center;
      align-items: center;
      cursor: pointer;

      svg{
        width: 30px;
        height: 30px;
      }
    }

    .modal-content-group{
      max-height: 80vh;
      overflow-y: scroll;
    }

  }


}